Name: task-gnome
Version: 3.4.1
Release: %mkrel 4
Epoch:   1
Summary: Metapackage for GNOME desktop environment
Group: Graphical desktop/GNOME
License: GPLv2+
BuildArch: noarch
Requires: %{name}-minimal
Suggests: brasero
Suggests: caribou
Suggests: caribou-gtk3
Suggests: cheese
Suggests: ekiga
Suggests: empathy
Suggests: eog >= 2.8.0
Suggests: epiphany
Suggests: epiphany-extensions
Suggests: evince
Suggests: evolution
Suggests: evolution-webcal
# do not install for now, not stable enough
#Suggests: evolution-tracker
Suggests: file-roller
Suggests: gcalctool
Suggests: gdm >= 3.1.0
Suggests: gedit >= 3.1.0
Suggests: gnome-backgrounds
Suggests: gnome-boxes
Suggests: gnome-color-manager
Suggests: gnome-contacts
Suggests: gnome-disk-utility
Suggests: gnome-documents
Suggests: gnome-font-viewer
Suggests: gnome-games >= 3.1.0
Suggests: gnome-system-monitor
Suggests: gucharmap
Suggests: mousetweaks
Suggests: nautilus
Suggests: nautilus-filesharing
Suggests: nautilus-sendto-bluetooth
Suggests: nautilus-sendto-evolution
Suggests: orca
Suggests: rhythmbox
Suggests: shotwell
Suggests: simple-scan
Suggests: sushi
Suggests: tomboy
Suggests: totem
Suggests: tracker-preferences
Suggests: vinagre
Suggests: vino

# splitted out to a multiple projects
Obsoletes: gnome-utils < 1:3.3.1
Suggests: baobab
Suggests: gnome-system-log
Suggests: gnome-search-tool
Suggests: gnome-dictionary
Suggests: gnome-screenshot

%description
This package is a meta-package, meaning that its purpose is to contain
dependencies for running GNOME.

%package minimal
Summary: Minimal dependencies needed for GNOME desktop 
Group: Graphical desktop/GNOME
Requires: accountsservice
Requires: gnome-control-center >= 3.1.0
Requires: gnome-icon-theme-symbolic
Requires: gnome-power-manager
Requires: gnome-terminal >= 3.0.0
Requires: gnome-themes-standard
Requires: nautilus >= 3.1.0
Requires: networkmanager
Requires: yelp >= 3.1.0
# gnome-panel + metacity are used in GNOME3 fallback more
Requires: gnome-panel >= 3.1.0
Requires: metacity >= 2.34.0
# vendor specific:
Requires: %{_real_vendor}-theme
Requires: %{_real_vendor}-theme-gnome
# not strictly required modules
Suggests: gnome-tweak-tool
Suggests: preload
Suggests: readahead
Suggests: task-pulseaudio
# vendor specific:
Suggests: drakconf

# like task-kde4, but suggests instead of requires
Suggests: task-x11 >= 1-2

%description minimal
This package is a meta-package, meaning that its purpose is to contain
minimal dependencies for running a minimal GNOME desktop environment.

%files

%files minimal


%changelog

* Wed Apr 25 2012 dams <dams> 1:3.4.1-4.mga2
+ Revision: 233254
- set version as 3.4.1
- add 'simple-scan' as a suggest

* Mon Apr 16 2012 ennael <ennael> 1:3.4.0-3.mga2
+ Revision: 231071
- mageia-gnome-theme is a require

* Tue Apr 03 2012 ovitters <ovitters> 1:3.4.0-2.mga2
+ Revision: 228232
- Suggest mageia-theme-gnome for GDM+GNOME3 background (mga#4419)

* Tue Mar 27 2012 ovitters <ovitters> 1:3.4.0-1.mga2
+ Revision: 227118
- set version as 3.4.0

* Fri Mar 16 2012 ovitters <ovitters> 1:3.3.2-11.mga2
+ Revision: 223699
- ensure all missing GNOME core modules are suggested in task-gnome

* Wed Mar 14 2012 ovitters <ovitters> 1:3.3.2-10.mga2
+ Revision: 223354
- suggest task-x11 in task-gnome-minimal (mga#4138)

* Mon Mar 12 2012 ovitters <ovitters> 1:3.3.2-9.mga2
+ Revision: 223076
- revert changes of release 8

* Mon Mar 12 2012 ovitters <ovitters> 1:3.3.2-8.mga2
+ Revision: 223037
- ensure gnome-utils is installed (mga#4903)

* Thu Mar 01 2012 ovitters <ovitters> 1:3.3.2-7.mga2
+ Revision: 216420
- make gnome-tweak-tool a suggest
- sort the Requires: headers in -minimal package

* Thu Mar 01 2012 dams <dams> 1:3.3.2-6.mga2
+ Revision: 216406
+ rebuild (emptylog)

* Thu Mar 01 2012 dams <dams> 1:3.3.2-5.mga2
+ Revision: 216365
- replace 'f-spot' by 'shotwell' as photo manager

* Mon Feb 13 2012 tv <tv> 1:3.3.2-4.mga2
+ Revision: 208340
- Suggests drakconf in minimal package

* Mon Feb 13 2012 tv <tv> 1:3.3.2-3.mga2
+ Revision: 208336
- Suggests drakconf

* Sat Dec 10 2011 ovitters <ovitters> 1:3.3.2-2.mga2
+ Revision: 180245
- drop gconf-editor as per discussion with anssi

* Thu Dec 01 2011 ovitters <ovitters> 1:3.3.2-1.mga2
+ Revision: 174974
- add gnome-boxes

* Sat Oct 29 2011 wally <wally> 1:3.3.1-2.mga2
+ Revision: 159638
- really obsolete gnome-utils

* Sat Oct 29 2011 wally <wally> 1:3.3.1-1.mga2
+ Revision: 159604
- new version 3.3.1
- obsolete gnome-utils as it was splitted out to a multiple projects

* Mon Sep 26 2011 fwang <fwang> 1:3.2.0-1.mga2
+ Revision: 148647
- 3.2.0

* Sat Sep 17 2011 ovitters <ovitters> 1:3.1.91-4.mga2
+ Revision: 144531
- fix description

* Sat Sep 17 2011 ovitters <ovitters> 1:3.1.91-3.mga2
+ Revision: 144457
- add metacity requires, add comment for future reference

* Sat Sep 17 2011 fwang <fwang> 1:3.1.91-2.mga2
+ Revision: 144453
- suggests caribou-gtk3

* Sat Sep 17 2011 fwang <fwang> 1:3.1.91-1.mga2
+ Revision: 144448
- revise for gnome 3.2

* Sat Sep 10 2011 ovitters <ovitters> 1:2-0.6.mga2
+ Revision: 142244
- Add new GNOME 3.2 programs: sushi, gnome-contacts, gnome-documents
- add gnome-backgrounds as suggests as it is an offical GNOME Core dependency

  + mikala <mikala>
    - Add gnome-icon-theme-symbolic as a requires on task-gnome-minimal (need for icon panel)

* Fri Jun 17 2011 dmorgan <dmorgan> 1:2-0.4.mga2
+ Revision: 108668
- Add gnome-tweak-tool

* Thu Jun 16 2011 dmorgan <dmorgan> 1:2-0.3.mga2
+ Revision: 108331
- Update requires

* Wed Jun 15 2011 dmorgan <dmorgan> 1:2-0.2.mga2
+ Revision: 107880
- Better requires gnome-themes-standard than all his subpackages

* Wed Jun 15 2011 dmorgan <dmorgan> 1:2-0.1.mga2
+ Revision: 106759
- Add some more requires for gnome3
- Remove buildroot
  Remove old obsoletes

* Sat Apr 16 2011 blino <blino> 1:1-2.mga1
+ Revision: 86489
- fix suggested theme package name

* Sun Mar 27 2011 dmorgan <dmorgan> 1:1-1.mga1
+ Revision: 78136
- Fix version

* Sun Mar 27 2011 dmorgan <dmorgan> 1:Cauldron-1.mga1
+ Revision: 78125
- Fix task version

* Tue Jan 18 2011 blino <blino> 2010.1-6.mga1
+ Revision: 22332
- use vendor macro for suggested theme name
- imported package task-gnome


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 2010.1-5mdv2011.0
+ Revision: 607977
- rebuild

* Fri May 07 2010 Frederic Crozat <fcrozat@mandriva.com> 2010.1-4mdv2010.1
+ Revision: 543319
- Move some requirements from gnome-settings-daemon to tasks

* Fri Apr 16 2010 Frederic Crozat <fcrozat@mandriva.com> 2010.1-3mdv2010.1
+ Revision: 535397
- do not install evolution-tracker for now, not stable enough

* Thu Apr 15 2010 Frederic Crozat <fcrozat@mandriva.com> 2010.1-2mdv2010.1
+ Revision: 535106
- fix title
- replace beagle with tracker

* Wed Feb 03 2010 Frederic Crozat <fcrozat@mandriva.com> 2010.1-1mdv2010.1
+ Revision: 500168
- Suggests gnome-color-manager

* Mon Oct 05 2009 Frederic Crozat <fcrozat@mandriva.com> 2010.0-3mdv2010.0
+ Revision: 454068
- gnome-volume-manager functions are now provided by nautilus

* Mon Sep 21 2009 Frederic Crozat <fcrozat@mandriva.com> 2010.0-2mdv2010.0
+ Revision: 446445
- Replace pidgin with empathy

* Wed Jun 24 2009 Frederic Crozat <fcrozat@mandriva.com> 2010.0-1mdv2010.0
+ Revision: 388883
- Suggests cheese (Mdv bug #44716)

* Thu Mar 12 2009 Frederic Crozat <fcrozat@mandriva.com> 2009.1-1mdv2009.1
+ Revision: 354234
- Move suggest of gnome-media to task-gnome-minimal
- Remove suggests on nautilus-cd-burner, it is replaced by brasero

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 2009.0-6mdv2009.1
+ Revision: 351499
- rebuild

* Mon Oct 27 2008 Pixel <pixel@mandriva.com> 2009.0-5mdv2009.1
+ Revision: 297561
- transform most Requires into Suggests to allow removing those pkgs while still
  keeping task-gnome installed (otherwise it creates many "orphans")

* Fri Sep 26 2008 Frederic Crozat <fcrozat@mandriva.com> 2009.0-4mdv2009.0
+ Revision: 288690
- Move preload suggest to minimal package, and add readahead as well

* Thu Sep 25 2008 Frederic Crozat <fcrozat@mandriva.com> 2009.0-3mdv2009.0
+ Revision: 288121
- Add preload as suggests, reduce login time at startup

* Wed Aug 27 2008 Frederic Crozat <fcrozat@mandriva.com> 2009.0-2mdv2009.0
+ Revision: 276533
- Add more accessibility apps, as suggests
- enforce gnome-power-manager installation

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 2009.0-1mdv2009.0
+ Revision: 245405
- reset version

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 2008.1-5mdv2009.0
+ Revision: 225622
- rebuild

* Wed Apr 02 2008 Frederic Crozat <fcrozat@mandriva.com> 2008.1-4mdv2008.1
+ Revision: 191683
- Suggests brasero (Mdv bug #39721)

* Tue Mar 04 2008 Frederic Crozat <fcrozat@mandriva.com> 2008.1-3mdv2008.1
+ Revision: 178834
- Suggests task-pulseaudio in task-gnome-minimal

* Thu Feb 28 2008 Frederic Crozat <fcrozat@mandriva.com> 2008.1-2mdv2008.1
+ Revision: 176015
- Remove gthumb from dependencies
- Add vino and vinagre
- Rename gaim into pidgin

* Fri Feb 15 2008 Frederic Crozat <fcrozat@mandriva.com> 2008.1-1mdv2008.1
+ Revision: 168768
- Add suggests on nautilus-sendto-bluetooth and nautilus-sendto-evolution (Mdv bug #29336)

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tv@mandriva.org> 2007-5mdv2008.1
+ Revision: 128245
- kill re-definition of %%buildroot on Pixel's request

  + Frederic Crozat <fcrozat@mandriva.com>
    - Move requirement on bug-buddy into a suggests and move it to task-gnome-minimal


* Wed Mar 28 2007 Frederic Crozat <fcrozat@mandriva.com> 2007-5mdv2007.1
+ Revision: 149245
- Add evince dependency to main package

* Fri Mar 16 2007 Frederic Crozat <fcrozat@mandriva.com> 2007-4mdv2007.1
+ Revision: 144805
- Pull beagle-gui, not beagle
- Pull beagle-evolution
- Remove specfile translation, they are in separate package now

  + Jérôme Soyer <saispo@mandriva.org>
    - Import task-gnome

* Thu Sep 07 2006 Frederic Crozat <fcrozat@mandriva.com> 2007-3mdv2007.0
- Add more applications

* Sat Aug 19 2006 Frederic Crozat <fcrozat@mandriva.com> 2007-2mdv2007.0
- Replace gnopernicus with orca

* Tue Jul 11 2006 Frederic Crozat <fcrozat@mandriva.com> 2007-1mdv2007.0
- Rename gnome2 package as task-gnome-mininal and merge into task-gnome

* Thu Aug 11 2005 Leonardo Chiquitto Filho <chiquitto@mandriva.com> 2006-1mdk
- package created for Mandriva

